Bug 518172

Summary: No console user ACL for HP printers/scanners
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: hplipAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: james, jpopelka, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 3.9.8-12.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-19 10:17:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tim Waugh 2009-08-19 10:09:01 UTC
Description of problem:
There is no user ACL for HP printers/scanners, meaning scanning and hp-toolbox both fail.

Version-Release number of selected component (if applicable):
hplip-3.9.8-4.fc12

How reproducible:
100%

Steps to Reproduce:
1.Plug in an HP printer or scanner.
2.Try scanning or using hp-toolbox
  
Actual results:
Can't scan.  getfacl /dev/bus/usb/xxx/yyy shows:

# owner: root
# group: root
user::rw-
group::rw-
group:lp:rw-
mask::rw-
other::r--

Expected results:
Can scan.  getfacl /dev/bus/usb/xxx/yyy shows:

# owner: root
# group: root
user::rw-
user:twaugh:rw-
group::rw-
group:lp:rw-
mask::rw-
other::r--

Comment 1 James Ettle 2009-08-22 13:12:45 UTC
Tim, I get this in hplip-3.9.8-6.fc11.x86_64 --- no user ACL entry for the USB device (but there is one for /dev/usblp0). What do I need to update to fix it in F11?

Comment 2 Tim Waugh 2009-08-23 10:06:14 UTC
James: what version of cups is installed?  This ought to be working when both hplip-3.9.8-6.fc11 and cups-1.4-0.rc1.15.fc11 are installed.

Comment 3 James Ettle 2009-08-23 11:24:05 UTC
This is with:

cups-1.4-0.rc1.15.fc11.x86_64
hplip-3.9.8-6.fc11.x86_64
udev-141-6.fc11.x86_64

dmesg shows:

usb 5-2: USB disconnect, address 7
usb 5-2: new full speed USB device using uhci_hcd and address 8
usb 5-2: New USB device found, idVendor=03f0, idProduct=2404
usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 5-2: Product: Deskjet F2200 series
usb 5-2: Manufacturer: HP
usb 5-2: SerialNumber: CN89H4Q0HJ0534
usb 5-2: configuration #1 chosen from 1 choice
usblp0: USB Bidirectional printer dev 8 if 1 alt 0 proto 2 vid 0x03F0 pid 0x2404

# getfacl /dev/bus/usb/005/008 
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/005/008
# owner: root
# group: lp
user::rw-
group::rw-
group:lp:rw-
mask::rw-
other::r--

Downgrade to the hp*-3.9.2 packages and the problem goes away.

Comment 4 Tim Waugh 2009-08-24 14:38:13 UTC
Oh, Fedora 11 doesn't have ACL support in udev.  I'll back out the hal->udev change.

Comment 5 James Ettle 2009-08-24 18:55:43 UTC
3.9.8-8 builds work OK.

Comment 6 Fedora Update System 2009-08-31 23:30:17 UTC
hplip-3.9.8-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.